This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1273980 - Bulk abort results in error modal dialog
Bulk abort results in error modal dialog
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
high Severity medium
: DR2
: 6.3.0
Assigned To: Mauricio Salatino
Pavel Kralik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 12:23 EDT by Pavel Kralik
Modified: 2016-03-11 12:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error modal dialog in process instances (51.37 KB, image/png)
2015-10-21 12:23 EDT, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2015-10-21 12:23:15 EDT
Created attachment 1085223 [details]
error modal dialog in process instances

Description of problem:
When a bulk abort over several process instances is done, expeption and modal dialog is showed.

18:11:14,088 ERROR [org.guvnor.common.services.backend.exceptions.ExceptionUtilities] (http-/0.0.0.0:8080-12) Exception thrown: No session found for context 9: org.kie.internal.runtime.manager.SessionNotFoundException: No session found for context 9
	at org.jbpm.runtime.manager.impl.PerProcessInstanceRuntimeManager$PerProcessInstanceInitializer.initKieSession(PerProcessInstanceRuntimeManager.java:486) [jbpm-runtime-manager-6.3.0.Final-redhat-2.jar:6.3.0.Final-redhat-2]


Version-Release number of selected component (if applicable):
BPMS 6.2.0.ER4

How reproducible:
Sometimes

Steps to Reproduce:
1. Generate several process instances
2. Try to do bulk abort
3.

Actual results:
Error modal dialog and exception in server.log

Expected results:
Proper behaviour

Additional info:
Comment 2 Maciej Swiderski 2015-10-22 10:28:08 EDT
same question as in https://bugzilla.redhat.com/show_bug.cgi?id=1267661#c2 looks like you're trying to abort process instance that has already been completed.
Comment 3 Pavel Kralik 2015-10-29 06:07:02 EDT
Hi Maciej,

Process instances and tasks list in Active tab shows tasks and Proc. Instances that are completed too. https://bugzilla.redhat.com/show_bug.cgi?id=1270690

Would it be possible to have modal dialog with user friendly message stated something like "trying to abort completed process instances"?
Comment 4 Maciej Swiderski 2015-10-29 06:18:25 EDT
abort and signal button should not be active for completed or aborted process instances, Mauricio, has anything changed in this regard?
Comment 5 Mauricio Salatino 2015-10-29 10:52:35 EDT
Good question.. we can ask Neus if the changes in the layout impacted that.
Comment 6 Neus Miras 2015-11-11 11:41:42 EST
the abort/signal button dissapears from the actions column in process instance that aren't active. If you select process instances completed or aborted, include them in a selection and  request for an abort/signal bulk action. A notification is shown telling that that action is not allowed over that process instance or if the action is successfuly done. 

I think that is working as used to. As far as I know.
Comment 7 Pavel Kralik 2016-03-11 12:19:09 EST
BPMS 6.3.0.DR2

Note You need to log in before you can comment on or make changes to this bug.